from django.contrib import admin
from .models import CloudProvider, Country, ServiceLevel, Service


@admin.register(CloudProvider)
class CloudProviderAdmin(admin.ModelAdmin):
    list_display = ("name",)
    search_fields = ("name",)


@admin.register(Country)
class CountryAdmin(admin.ModelAdmin):
    list_display = ("name", "code")
    search_fields = ("name", "code")


@admin.register(ServiceLevel)
class ServiceLevelAdmin(admin.ModelAdmin):
    list_display = ("name", "response_time")
    search_fields = ("name",)


@admin.register(Service)
class ServiceAdmin(admin.ModelAdmin):
    list_display = ("name", "cloud_provider", "service_level", "price")
    list_filter = ("cloud_provider", "service_level", "countries")
    search_fields = ("name", "description")
    filter_horizontal = ("countries",)
